.loader {
  margin: 100px auto;
  font-size: 25px;
  width: 1em;
  height: 1em;
  border-radius: 50%;
  position: relative;
  text-indent: -9999em;
  -webkit-animation: load5 1.1s infinite ease;
  animation: load5 1.1s infinite ease;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
}

.loader-medium {
  zoom: 50%;
}

@-webkit-keyframes load5 {
  0%,
  100% {
    box-shadow: 0em -2.6em 0em 0em #c8c8c8, 1.8em -1.8em 0 0em rgba(200,200,200, 0.2), 2.5em 0em 0 0em rgba(200,200,200, 0.2), 1.75em 1.75em 0 0em rgba(200,200,200, 0.2), 0em 2.5em 0 0em rgba(200,200,200, 0.2), -1.8em 1.8em 0 0em rgba(200,200,200, 0.2), -2.6em 0em 0 0em rgba(200,200,200, 0.5), -1.8em -1.8em 0 0em rgba(200,200,200, 0.7);
  }
  12.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(200,200,200, 0.7), 1.8em -1.8em 0 0em #c8c8c8, 2.5em 0em 0 0em rgba(200,200,200, 0.2), 1.75em 1.75em 0 0em rgba(200,200,200, 0.2), 0em 2.5em 0 0em rgba(200,200,200, 0.2), -1.8em 1.8em 0 0em rgba(200,200,200, 0.2), -2.6em 0em 0 0em rgba(200,200,200, 0.2), -1.8em -1.8em 0 0em rgba(200,200,200, 0.5);
  }
  25% {
    box-shadow: 0em -2.6em 0em 0em rgba(200,200,200, 0.5), 1.8em -1.8em 0 0em rgba(200,200,200, 0.7), 2.5em 0em 0 0em #c8c8c8, 1.75em 1.75em 0 0em rgba(200,200,200, 0.2), 0em 2.5em 0 0em rgba(200,200,200, 0.2), -1.8em 1.8em 0 0em rgba(200,200,200, 0.2), -2.6em 0em 0 0em rgba(200,200,200, 0.2), -1.8em -1.8em 0 0em rgba(200,200,200, 0.2);
  }
  37.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(200,200,200, 0.2), 1.8em -1.8em 0 0em rgba(200,200,200, 0.5), 2.5em 0em 0 0em rgba(200,200,200, 0.7), 1.75em 1.75em 0 0em #c8c8c8, 0em 2.5em 0 0em rgba(200,200,200, 0.2), -1.8em 1.8em 0 0em rgba(200,200,200, 0.2), -2.6em 0em 0 0em rgba(200,200,200, 0.2), -1.8em -1.8em 0 0em rgba(200,200,200, 0.2);
  }
  50% {
    box-shadow: 0em -2.6em 0em 0em rgba(200,200,200, 0.2), 1.8em -1.8em 0 0em rgba(200,200,200, 0.2), 2.5em 0em 0 0em rgba(200,200,200, 0.5), 1.75em 1.75em 0 0em rgba(200,200,200, 0.7), 0em 2.5em 0 0em #c8c8c8, -1.8em 1.8em 0 0em rgba(200,200,200, 0.2), -2.6em 0em 0 0em rgba(200,200,200, 0.2), -1.8em -1.8em 0 0em rgba(200,200,200, 0.2);
  }
  62.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(200,200,200, 0.2), 1.8em -1.8em 0 0em rgba(200,200,200, 0.2), 2.5em 0em 0 0em rgba(200,200,200, 0.2), 1.75em 1.75em 0 0em rgba(200,200,200, 0.5), 0em 2.5em 0 0em rgba(200,200,200, 0.7), -1.8em 1.8em 0 0em #c8c8c8, -2.6em 0em 0 0em rgba(200,200,200, 0.2), -1.8em -1.8em 0 0em rgba(200,200,200, 0.2);
  }
  75% {
    box-shadow: 0em -2.6em 0em 0em rgba(200,200,200, 0.2), 1.8em -1.8em 0 0em rgba(200,200,200, 0.2), 2.5em 0em 0 0em rgba(200,200,200, 0.2), 1.75em 1.75em 0 0em rgba(200,200,200, 0.2), 0em 2.5em 0 0em rgba(200,200,200, 0.5), -1.8em 1.8em 0 0em rgba(200,200,200, 0.7), -2.6em 0em 0 0em #c8c8c8, -1.8em -1.8em 0 0em rgba(200,200,200, 0.2);
  }
  87.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(200,200,200, 0.2), 1.8em -1.8em 0 0em rgba(200,200,200, 0.2), 2.5em 0em 0 0em rgba(200,200,200, 0.2), 1.75em 1.75em 0 0em rgba(200,200,200, 0.2), 0em 2.5em 0 0em rgba(200,200,200, 0.2), -1.8em 1.8em 0 0em rgba(200,200,200, 0.5), -2.6em 0em 0 0em rgba(200,200,200, 0.7), -1.8em -1.8em 0 0em #c8c8c8;
  }
}
@keyframes load5 {
  0%,
  100% {
    box-shadow: 0em -2.6em 0em 0em #c8c8c8, 1.8em -1.8em 0 0em rgba(200,200,200, 0.2), 2.5em 0em 0 0em rgba(200,200,200, 0.2), 1.75em 1.75em 0 0em rgba(200,200,200, 0.2), 0em 2.5em 0 0em rgba(200,200,200, 0.2), -1.8em 1.8em 0 0em rgba(200,200,200, 0.2), -2.6em 0em 0 0em rgba(200,200,200, 0.5), -1.8em -1.8em 0 0em rgba(200,200,200, 0.7);
  }
  12.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(200,200,200, 0.7), 1.8em -1.8em 0 0em #c8c8c8, 2.5em 0em 0 0em rgba(200,200,200, 0.2), 1.75em 1.75em 0 0em rgba(200,200,200, 0.2), 0em 2.5em 0 0em rgba(200,200,200, 0.2), -1.8em 1.8em 0 0em rgba(200,200,200, 0.2), -2.6em 0em 0 0em rgba(200,200,200, 0.2), -1.8em -1.8em 0 0em rgba(200,200,200, 0.5);
  }
  25% {
    box-shadow: 0em -2.6em 0em 0em rgba(200,200,200, 0.5), 1.8em -1.8em 0 0em rgba(200,200,200, 0.7), 2.5em 0em 0 0em #c8c8c8, 1.75em 1.75em 0 0em rgba(200,200,200, 0.2), 0em 2.5em 0 0em rgba(200,200,200, 0.2), -1.8em 1.8em 0 0em rgba(200,200,200, 0.2), -2.6em 0em 0 0em rgba(200,200,200, 0.2), -1.8em -1.8em 0 0em rgba(200,200,200, 0.2);
  }
  37.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(200,200,200, 0.2), 1.8em -1.8em 0 0em rgba(200,200,200, 0.5), 2.5em 0em 0 0em rgba(200,200,200, 0.7), 1.75em 1.75em 0 0em #c8c8c8, 0em 2.5em 0 0em rgba(200,200,200, 0.2), -1.8em 1.8em 0 0em rgba(200,200,200, 0.2), -2.6em 0em 0 0em rgba(200,200,200, 0.2), -1.8em -1.8em 0 0em rgba(200,200,200, 0.2);
  }
  50% {
    box-shadow: 0em -2.6em 0em 0em rgba(200,200,200, 0.2), 1.8em -1.8em 0 0em rgba(200,200,200, 0.2), 2.5em 0em 0 0em rgba(200,200,200, 0.5), 1.75em 1.75em 0 0em rgba(200,200,200, 0.7), 0em 2.5em 0 0em #c8c8c8, -1.8em 1.8em 0 0em rgba(200,200,200, 0.2), -2.6em 0em 0 0em rgba(200,200,200, 0.2), -1.8em -1.8em 0 0em rgba(200,200,200, 0.2);
  }
  62.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(200,200,200, 0.2), 1.8em -1.8em 0 0em rgba(200,200,200, 0.2), 2.5em 0em 0 0em rgba(200,200,200, 0.2), 1.75em 1.75em 0 0em rgba(200,200,200, 0.5), 0em 2.5em 0 0em rgba(200,200,200, 0.7), -1.8em 1.8em 0 0em #c8c8c8, -2.6em 0em 0 0em rgba(200,200,200, 0.2), -1.8em -1.8em 0 0em rgba(200,200,200, 0.2);
  }
  75% {
    box-shadow: 0em -2.6em 0em 0em rgba(200,200,200, 0.2), 1.8em -1.8em 0 0em rgba(200,200,200, 0.2), 2.5em 0em 0 0em rgba(200,200,200, 0.2), 1.75em 1.75em 0 0em rgba(200,200,200, 0.2), 0em 2.5em 0 0em rgba(200,200,200, 0.5), -1.8em 1.8em 0 0em rgba(200,200,200, 0.7), -2.6em 0em 0 0em #c8c8c8, -1.8em -1.8em 0 0em rgba(200,200,200, 0.2);
  }
  87.5% {
    box-shadow: 0em -2.6em 0em 0em rgba(200,200,200, 0.2), 1.8em -1.8em 0 0em rgba(200,200,200, 0.2), 2.5em 0em 0 0em rgba(200,200,200, 0.2), 1.75em 1.75em 0 0em rgba(200,200,200, 0.2), 0em 2.5em 0 0em rgba(200,200,200, 0.2), -1.8em 1.8em 0 0em rgba(200,200,200, 0.5), -2.6em 0em 0 0em rgba(200,200,200, 0.7), -1.8em -1.8em 0 0em #c8c8c8;
  }
}

#spinner {

  > header {
    text-align: center;
    font-size: 64px;
    font-weight: bold;
    
  }
  
  > div {
    text-align: center;
  }
}

div#powered-by {
  &::before {
    display: block;
    font-size: xx-small;
    content: 'p o w e r e d   b y:'
  }
  
  &::after {
    display: block;
    content: ' ';
    /* 
      Image credit: DuckDB.org 
      https://duckdb.org/images/logo-dl/DuckDB_Logo-horizontal.svg
    */
    background-image: url('DuckDB_Logo-horizontal.svg');
    background-repeat: no-repeat;
    position:relative;
    width: 150px;
    height: 50px;
    margin: auto;
  }
}
